petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSGetI2Function

Returns the vector where the implicit residual is stored and the function/contex to compute it.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetI2Function(TS ts,Vec *r,TSI2Function *fun,void **ctx)

Not Collective

### Input Parameter

ts -the TS context

### Output Parameter

| r | - vector to hold residual (or NULL)
| fun | - the function to compute residual (or NULL)
| ctx | - the function context (or NULL)

### Keywords

TS, nonlinear, get, function

### See Also

TSSetI2Function(), SNESGetFunction()

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages